#
# spec file for package attr
#
# Copyright (c) 2022-2023 ZhuningOS
#


Name:           attr
%define lname	libattr1
Summary:        Commands for Manipulating Extended Attributes
License:        GPL-2.0-or-later AND LGPL-2.1-or-later
Group:          System/Filesystems
Version:        2.4.47
Release:        2.19
Url:            http://download.savannah.gnu.org/releases-noredirect/attr/

#Git-Web:	http://git.savannah.gnu.org/cgit/attr.git/
#Git-Clone:	git://git.sv.gnu.org/attr
Source:         http://download.savannah.gnu.org/releases-noredirect/attr/%{name}-%{version}.src.tar.gz
Source2:        http://download.savannah.gnu.org/releases-noredirect/attr/%{name}-%{version}.src.tar.gz.sig
Source3:        %name.keyring
Source4:        xattr.conf
Source5:        baselibs.conf
#Patch0:         builddefs.in.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#BuildRequires:  gpg-offline
Conflicts:      xfsdump < 2.0.0

%description
A set of tools for manipulating extended attributes on file system
objects, in particular getfattr(1) and setfattr(1). An attr(1) command
is also provided, which is largely compatible with the SGI IRIX tool of
the same name.

%package -n %lname
Summary:        A dynamic library for filesystem extended attribute support
# bug437293
Group:          System/Libraries
%ifarch ppc64
Obsoletes:      libattr-64bit
%endif
# Added for 12.1
Obsoletes:      libattr < %version-%release
Provides:       libattr = %version-%release

%description -n %lname
This package contains the libattr.so dynamic library, which contains
the extended attribute library functions.

%package -n libattr-devel
Summary:        Include Files and Libraries mandatory for Development
Group:          Development/Libraries/C and C++
Provides:       attr-devel = %version-%release
Obsoletes:      attr-devel < %version-%release
# bug437293
%ifarch ppc64
Obsoletes:      libattr-devel-64bit
%endif
#
Requires:       %lname = %version
Requires:       glibc-devel

%description -n libattr-devel
This package contains the libraries and header files needed to develop
programs which make use of extended attributes. For Linux programs, the
documented system call API is the recommended interface, but an SGI
IRIX compatibility interface is also provided.

%package -n libattr-devel-static
Summary:        Include Files and Libraries mandatory for Development
Group:          Development/Libraries/C and C++
Provides:       libattr-devel:%{_libdir}/libattr.a
Requires:       libattr-devel = %version

%description -n libattr-devel-static
This package contains the static library of libattr which is needed to develop
statically linked programs which make use of extended attributes.

%prep
%setup -q

%build
export OPTIMIZER="$RPM_OPT_FLAGS -fPIC"
export DEBUG=-DNDEBUG
%configure --with-pic --enable-static
%{__make} %{?_smp_mflags}

%install
b="%buildroot"
make install install-lib install-dev DESTDIR="$b" PKG_DOC_DIR="%_docdir/%name"

mkdir -p "$b/%_lib/"
mv "$b/%_libdir"/libattr.so.* "$b/%_lib/"
t=$(readlink "$b/%_libdir/libattr.so")
ln -sf "/%_lib/$t" "$b/%_libdir/libattr.so"
rm -f "$b/%_libdir"/*.la
rm -fv $RPM_BUILD_ROOT%{_mandir}/man2/*xattr.2*
rm $b%{_mandir}/man5/attr.5
rm -fv $b%_defaultdocdir/attr/COPYING*
install -d -m 755 $RPM_BUILD_ROOT/%{_sysconfdir}
install -m 644 %_sourcedir/xattr.conf $RPM_BUILD_ROOT/%{_sysconfdir}
%find_lang %name

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%files -f %{name}.lang
%defattr (-,root,root)
%license doc/COPYING
%dir %_defaultdocdir/attr
%_defaultdocdir/attr/README
%_defaultdocdir/attr/CHANGES.gz
%_defaultdocdir/attr/PORTING
%_mandir/man1/*.1*
%_bindir/attr
%_bindir/getfattr
%_bindir/setfattr

%files -n libattr-devel
%defattr(-,root,root)
%_includedir/attr/
%_libdir/libattr.so
%_mandir/man3/*.3*

%files -n libattr-devel-static
%defattr(-,root,root)
%{_libdir}/libattr.a

%files -n %lname
%defattr (-,root,root)
%license doc/COPYING.LGPL
/%{_lib}/libattr.so.1*
%config %{_sysconfdir}/xattr.conf

%changelog
